Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.tsp.solver.score
Class TspIncrementalScoreCalculator

    java.lang.Object
      org.optaplanner.core.impl.score.director.incremental.AbstractIncrementalScoreCalculator<TravelingSalesmanTour>
          org.optaplanner.examples.tsp.solver.score.TspIncrementalScoreCalculator

All Implemented Interfaces:
  IncrementalScoreCalculator<TravelingSalesmanTour>

    public class TspIncrementalScoreCalculator

extends AbstractIncrementalScoreCalculator<TravelingSalesmanTour>

Constructor Summary
`TspIncrementalScoreCalculator()`

Method Summary
`void` | `afterAllVariablesChanged(Object entity)`
`void` | `afterEntityAdded(Object entity)`
`void` | `afterEntityRemoved(Object entity)`
`void` | `afterVariableChanged(Object entity, String variableName)`
`void` | `beforeAllVariablesChanged(Object entity)`
`void` | `beforeEntityAdded(Object entity)`
`void` | `beforeEntityRemoved(Object entity)`
`void` | `beforeVariableChanged(Object entity, String variableName)`
`SimpleScore` | `calculateScore()`
`void` | `resetWorkingSolution(TravelingSalesmanTour tour)`

Methods inherited from class org.optaplanner.core.impl.score.director.incremental.AbstractIncrementalScoreCalculator
`buildScoreCorruptionAnalysis`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TspIncrementalScoreCalculator

    public TspIncrementalScoreCalculator()

Method Detail

### resetWorkingSolution

    public void resetWorkingSolution(TravelingSalesmanTour tour)

### beforeEntityAdded

    public void beforeEntityAdded(Object entity)

### afterEntityAdded

    public void afterEntityAdded(Object entity)

### beforeAllVariablesChanged

    public void beforeAllVariablesChanged(Object entity)

### afterAllVariablesChanged

    public void afterAllVariablesChanged(Object entity)

### beforeVariableChanged

    public void beforeVariableChanged(Object entity,
                                      String variableName)

### afterVariableChanged

    public void afterVariableChanged(Object entity,
                                     String variableName)

### beforeEntityRemoved

    public void beforeEntityRemoved(Object entity)

### afterEntityRemoved

    public void afterEntityRemoved(Object entity)

### calculateScore

    public SimpleScore calculateScore()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.